http://www.bclaws.ca/civix/document/id/{aspectId}/{civixIndexId}/{civixDocumentId}/xmlThe /document API allows you to retrieve actual documents from the BCLaws legislative repository. To retrieve a document from the repository you need the aspect identifier and two other specific pieces of information about the document: the index identifier and the document identifier. These unique identifiers can be retrieved from the /content API.
The identifier of the 'aspect' (content group) to search
Index identification code
The document identification code for an index or directory
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request GET \2 --url 'http://www.bclaws.ca/civix/document/id/{aspectId}/{civixIndexId}/{civixDocumentId}/xml' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}http://www.bclaws.ca/civix/document/id/{aspectId}/{civixIndexId}/{civixDocumentId}/xmlThe /document API allows you to retrieve actual documents from the BCLaws legislative repository. To retrieve a document from the repository you need the aspect identifier and two other specific pieces of information about the document: the index identifier and the document identifier. These unique identifiers can be retrieved from the /content API.
The identifier of the 'aspect' (content group) to search
Index identification code
The document identification code for an index or directory
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request GET \2 --url 'http://www.bclaws.ca/civix/document/id/{aspectId}/{civixIndexId}/{civixDocumentId}/xml' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}